NX Open C++ Reference Guide
NXOpen::Features::CustomAttributeCollection Member List

This is the complete list of members for NXOpen::Features::CustomAttributeCollection, including all inherited members.

begin()NXOpen::Features::CustomAttributeCollection
CreateCustomDoubleArrayAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomDoubleArrayAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomDoubleAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomDoubleAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomExpressionArrayAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomExpressionArrayAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomExpressionAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomExpressionAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomIntegerArrayAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomIntegerArrayAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomIntegerAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomIntegerAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomLogicalArrayAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomLogicalArrayAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomLogicalAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomLogicalAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomStringArrayAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomStringArrayAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomStringAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomStringAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomTagArrayAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomTagArrayAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomTagAttribute(const NXString &attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
CreateCustomTagAttribute(const char *attributeName, const std::vector< NXOpen::Features::CustomAttribute::Property > &attributeProperties)NXOpen::Features::CustomAttributeCollection
end()NXOpen::Features::CustomAttributeCollection
Tag() const NXOpen::Features::CustomAttributeCollection
~CustomAttributeCollection() (defined in NXOpen::Features::CustomAttributeCollection)NXOpen::Features::CustomAttributeCollection
~TaggedObjectCollection() (defined in NXOpen::TaggedObjectCollection)NXOpen::TaggedObjectCollectionvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.